﻿local DTweaks_Mover = _G.DTweaks_Mover

movableFrames = {
 BankFrame,
 DressUpFrame,
 FriendsFrame,
 GameMenuFrame,
 GossipFrame,
 HelpFrame,
 InterfaceOptionsFrame,
 LootFrame,
 MailFrame,
 MerchantFrame,
 PVEFrame,
 QuestFrame,
 QuestLogPopupDetailFrame,
 RaidBrowserFrame,
 SpellBookFrame,
 TradeFrame,
 VideoOptionsFrame
}

movableFramesWithhandle = {
 ["CharacterFrame"] =  { PaperDollFrame, fff, ReputationFrame, TokenFrame , PetPaperDollFrameCompanionFrame, ReputationFrame } ,
 ["ColorPickerFrame"] = { DTweaks_Mover:CreateOwnHandleFrame(ColorPickerFrame, 132, 32, 117, 8, "ColorPickerFrame") },
 ["MailFrame"] = {SendMailFrame},
 ["WorldMapFrame"] = { WorldMapTitleButton },
}

movableFramesLoD = {
 ["Blizzard_AchievementUI"] = function() DTweaks_Mover:SetMoveHandle(AchievementFrame, AchievementFrameHeader) end,
 ["Blizzard_ArchaeologyUI"] = function() DTweaks_Mover:SetMoveHandle(ArchaeologyFrame) end,
 ["Blizzard_AuctionUI"] = function() DTweaks_Mover:SetMoveHandle(AuctionFrame) end,
 ["Blizzard_BarbershopUI"] = function() DTweaks_Mover:SetMoveHandle(BarberShopFrame) end,
 ["Blizzard_BindingUI"] = function() DTweaks_Mover:SetMoveHandle(KeyBindingFrame) end,
 ["Blizzard_Calendar"] = function() DTweaks_Mover:SetMoveHandle(CalendarFrame) end,
 ["Blizzard_Collections"] = function() DTweaks_Mover:SetMoveHandle(CollectionsJournal); DTweaks_Mover:SetMoveHandle(WardrobeFrame) end,
 ["Blizzard_EncounterJournal"] = function() DTweaks_Mover:SetMoveHandle(EncounterJournal, DTweaks_Mover:CreateOwnHandleFrame(EncounterJournal, 775, 20, 0, 0, "EncounterJournal")) end,
 ["Blizzard_GarrisonUI"] = function() DTweaks_Mover:SetMoveHandle(GarrisonMissionFrame); DTweaks_Mover:SetMoveHandle(GarrisonCapacitiveDisplayFrame); DTweaks_Mover:SetMoveHandle(GarrisonLandingPage) end,
 ["Blizzard_GuildBankUI"] = function() DTweaks_Mover:SetMoveHandle(GuildBankFrame) end,
 ["Blizzard_GuildUI"] = function() DTweaks_Mover:SetMoveHandle(GuildFrame, GuildFrame.TitleMouseover) end,
 ["Blizzard_InspectUI"] = function() DTweaks_Mover:SetMoveHandle(InspectFrame) end,
 ["Blizzard_ItemAlterationUI"] = function() DTweaks_Mover:SetMoveHandle(TransmogrifyFrame) end,
 ["Blizzard_ItemSocketingUI"] = function() DTweaks_Mover:SetMoveHandle(ItemSocketingFrame) end,
 ["Blizzard_LookingForGuildUI"] = function() DTweaks_Mover:SetMoveHandle(LookingForGuildFrame) end,
 ["Blizzard_MacroUI"] = function() DTweaks_Mover:SetMoveHandle(MacroFrame) end,
 ["Blizzard_TalentUI"] = function()  DTweaks_Mover:SetMoveHandle(PlayerTalentFrame) end,
 ["Blizzard_TrainerUI"] = function() DTweaks_Mover:SetMoveHandle(ClassTrainerFrame) end,
 ["Blizzard_TradeSkillUI"] = function() DTweaks_Mover:SetMoveHandle(TradeSkillFrame) end,
 ["Blizzard_VoidStorageUI"] = function() DTweaks_Mover:SetMoveHandle(VoidStorageFrame) end,
 ["Blizzard_ObliterumUI"] = function() DTweaks_Mover:SetMoveHandle(ObliterumForgeFrame) end,
}

 -- ["Blizzard_ArtifactUI"]=function() DTweaks_Mover:SetMoveHandle(ArtifactFrame.ForgeBadgeFrame) end,
 
function movableFramesLoD:DTweaks_Mover()
 for _, frame in pairs(movableFrames) do
   DTweaks_Mover:SetMoveHandle(frame)
 end

 for frame, handles in pairs(movableFramesWithhandle) do
   for index, handle in pairs(handles) do
     DTweaks_Mover:SetMoveHandle(_G[frame],handle)
   end
 end
end

local function ADDON_LOADED(self, event, addonName)
 if movableFramesLoD[addonName] then movableFramesLoD[addonName]() end
end

local frame = CreateFrame("Frame")
frame:SetScript("OnEvent", ADDON_LOADED)
frame:RegisterEvent("ADDON_LOADED")
